Page MenuHomePhabricator

Release 6.0.1
Closed, ResolvedPublic

Description

Release version: 6.0.1
Release tag: releases/6.0.1
Release SHA1: 0340dc553459c8cf1a64cb69c98f434a889970c9
App Store Submission Date: Sept 8
App Store Approval Date: Sept 10
App Store Release Date: Sept 10
Regression Testing URL: https://docs.google.com/spreadsheets/d/1btA04MIscHQaM7nshcP9usdgnfq_M9YLbiRbVCKF6t4/edit#gid=46456392


Pre-release

  • Submit "What’s New" on iTunes Connect for translation - Josh to add here
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • Notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing - Josh to do
  • Upload new screenshots & app icons to iTunes Connect (if needed) - N/A
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Aug 27 2018, 9:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2018, 9:43 PM
LGoto updated the task description. (Show Details)Sep 7 2018, 5:57 PM
LGoto added a comment.Sep 7 2018, 6:00 PM

@JMinor to do:

  • Add "What's New" text in a comment here
  • Post to mobile-l
LGoto added a subscriber: JoeWalsh.Sep 7 2018, 6:00 PM
JMinor triaged this task as Normal priority.Sep 7 2018, 6:12 PM
JMinor updated the task description. (Show Details)
JMinor added a comment.Sep 7 2018, 6:20 PM

Whats new: "Fully customizable and easier to read Explore feed. Localization, performance improvements and bug fixes."

JoeWalsh updated the task description. (Show Details)Sep 10 2018, 6:39 PM
LGoto updated the task description. (Show Details)Sep 10 2018, 8:07 PM
LGoto updated the task description. (Show Details)Sep 10 2018, 8:17 PM
LGoto updated the task description. (Show Details)Sep 27 2018, 8:04 PM
LGoto closed this task as Resolved.
LGoto claimed this task.